# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetModuleId

Function

Get a unique identifier for each instance of a module.

Syntax
`
#include <dx/dx.h>
`

Pointer DXGetModuleId()

Functional Details

`DXGetModuleId` returns a pointer to a unique identifier `id`, which can be used to generate unique cache tags (e.g., for use by asynchronous modules).

Return Value

Returns `NULL` or returns `ERROR` and sets an error code.

See Also `DXSetCacheEntry, DXSetCacheEntryV, DXCompareModuleId, DXCopyModuleId, DXReadyToRun`

13.5 , "Cache".
13.11 , "Asynchronous Services"

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]